Table

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Table

## Functions
EOAPI void | elm_obj_table_homogeneous_set (Eina_Bool homogeneous)
| Control the homogenous state in a table. More...
EOAPI Eina_Bool | elm_obj_table_homogeneous_get (void)
| Control the homogenous state in a table. More...
EOAPI void | elm_obj_table_padding_set (Evas_Coord horizontal, Evas_Coord vertical)
| Set padding between cells. More...
EOAPI void | elm_obj_table_padding_get (Evas_Coord *horizontal, Evas_Coord *vertical)
| Get padding between cells. More...
EOAPI void | elm_obj_table_align_set (double horizontal, double vertical)
| Set alignment of table. More...
EOAPI void | elm_obj_table_align_get (double *horizontal, double *vertical)
| Get alignment of table. More...
EOAPI void | elm_obj_table_clear (Eina_Bool clear)
| Faster way to remove all child objects from a table object. More...
EOAPI Evas_Object * | elm_obj_table_child_get (int col, int row)
| Get child object of table at given coordinates. More...
EOAPI void | elm_obj_table_pack_set (Evas_Object *subobj, int column, int row, int colspan, int rowspan)
| Set the packing location of an existing child of the table. More...
EOAPI void | elm_obj_table_pack_get (Evas_Object *subobj, int *column, int *row, int *colspan, int *rowspan)
| Get the packing location of an existing child of the table. More...
EOAPI void | elm_obj_table_unpack (Evas_Object *subobj)
| Remove child from table. More...
EOAPI void | elm_obj_table_pack (Evas_Object *subobj, int column, int row, int colspan, int rowspan)
| Add a subobject on the table with the coordinates passed. More...
void | elm_table_homogeneous_set (Elm_Table *obj, Eina_Bool homogeneous)
| Control the homogenous state in a table. More...
Eina_Bool | elm_table_homogeneous_get (const Elm_Table *obj)
| Control the homogenous state in a table. More...
void | elm_table_padding_set (Elm_Table *obj, Evas_Coord horizontal, Evas_Coord vertical)
| Set padding between cells. More...
void | elm_table_padding_get (const Elm_Table *obj, Evas_Coord *horizontal, Evas_Coord *vertical)
| Get padding between cells. More...
void | elm_table_align_set (Elm_Table *obj, double horizontal, double vertical)
| Set alignment of table. More...
void | elm_table_align_get (const Elm_Table *obj, double *horizontal, double *vertical)
| Get alignment of table. More...
void | elm_table_clear (Elm_Table *obj, Eina_Bool clear)
| Faster way to remove all child objects from a table object. More...
Evas_Object * | elm_table_child_get (const Elm_Table *obj, int col, int row)
| Get child object of table at given coordinates. More...
void | elm_table_unpack (Elm_Table *obj, Evas_Object *subobj)
| Remove child from table. More...
void | elm_table_pack (Elm_Table *obj, Evas_Object *subobj, int column, int row, int colspan, int rowspan)
| Add a subobject on the table with the coordinates passed. More...
Evas_Object * | elm_table_add (Evas_Object *parent)
| Add a new table to the parent. More...
void | elm_table_pack_set (Evas_Object *subobj, int col, int row, int colspan, int rowspan)
| Set the packing location of an existing child of the table. More...
void | elm_table_pack_get (Evas_Object *subobj, int *col, int *row, int *colspan, int *rowspan)
| Get the packing location of an existing child of the table. More...

## Detailed Description

A container widget to arrange other widgets in a table where items can span multiple columns or rows - even overlap (and then be raised or lowered accordingly to adjust stacking if they do overlap).

The row and column count is not fixed. The table widget adjusts itself when subobjects are added to it dynamically.

The most common way to use a table is:

table = elm_table_add(win);
evas_object_show(table);
elm_table_padding_set(table, space_between_columns, space_between_rows);
elm_table_pack(table, table_content_object, column, row, colspan, rowspan);
elm_table_pack(table, table_content_object, next_column, next_row, colspan, rowspan);
elm_table_pack(table, table_content_object, other_column, other_row, colspan, rowspan);

The following are examples of how to use a table:

- tutorial_table_01
- tutorial_table_02

## Function Documentation

EOAPI void elm_obj_table_align_get | ( | double * | horizontal,
|  | double * | vertical
| ) |  |

Get alignment of table.

Parameters

  [out] | horizontal | The horizontal alignment.
  [out] | vertical | The vertical alignment.

Since
  1.13

Referenced by elm_table_align_get().

EOAPI void elm_obj_table_align_set | ( | double | horizontal,
|  | double | vertical
| ) |  |

Set alignment of table.

Default value is 0.5.

Parameters

  [in] | horizontal | The horizontal alignment.
  [in] | vertical | The vertical alignment.

Since
  1.13

Referenced by elm_table_align_set().

EOAPI Evas_Object* elm_obj_table_child_get | ( | int | col,
|  | int | row
| ) |  |

Get child object of table at given coordinates.

Parameters

  [in] | row | Row number of child object.

Returns
  Child of object if find if not return `null`.

Referenced by elm_table_child_get().

EOAPI void elm_obj_table_clear | ( | Eina_Bool | clear | ) |

Faster way to remove all child objects from a table object.

Parameters

  [in] | clear | If true, will delete children, else just remove from table.

Referenced by elm_table_clear().

EOAPI Eina_Bool elm_obj_table_homogeneous_get | ( | void |  | ) |

Control the homogenous state in a table.

Returns
  A boolean to set if the layout is homogeneous in the table.

Referenced by elm_table_homogeneous_get().

EOAPI void elm_obj_table_homogeneous_set | ( | Eina_Bool | homogeneous | ) |

Control the homogenous state in a table.

Parameters

  [in] | homogeneous | A boolean to set if the layout is homogeneous in the table.

Referenced by elm_table_homogeneous_set().

EOAPI void elm_obj_table_pack | ( | Evas_Object * | subobj,
|  | int | column,
|  | int | row,
|  | int | colspan,
|  | int | rowspan
| ) |  |

Add a subobject on the table with the coordinates passed.

Note
  All positioning inside the table is relative to rows and columns, so a value of 0 for x and y, means the top left cell of the table, and a value of 1 for w and h means `subobj` only takes that 1 cell.
  Columns and rows only guarantee 16bit unsigned values at best. That means that col + colspan AND row + rowspan must fit inside 16bit unsigned values cleanly. You will be warned once values exceed 15bit storage, and attempting to use values not able to fit in 16bits will result in failure.

Parameters

  [in] | column | Column number.
  [in] | row | Row number.
  [in] | colspan |
  [in] | rowspan |

Referenced by elm_table_pack().

EOAPI void elm_obj_table_pack_get | ( | Evas_Object * | subobj,
|  | int * | column,
|  | int * | row,
|  | int * | colspan,
|  | int * | rowspan
| ) |  |

Get the packing location of an existing child of the table.

Parameters

  [out] | column | Column number.
  [out] | row | Row number.
  [out] | colspan |
  [out] | rowspan |

Referenced by elm_table_pack_get().

EOAPI void elm_obj_table_pack_set | ( | Evas_Object * | subobj,
|  | int | column,
|  | int | row,
|  | int | colspan,
|  | int | rowspan
| ) |  |

Set the packing location of an existing child of the table.

Modifies the position of an object already in the table.

Note
  All positioning inside the table is relative to rows and columns, so a value of 0 for col and row, means the top left cell of the table, and a value of 1 for colspan and rowspan means only takes that 1 cell.

Parameters

  [in] | column | Column number.
  [in] | row | Row number.
  [in] | colspan |
  [in] | rowspan |

Referenced by elm_table_pack_set().

EOAPI void elm_obj_table_padding_get | ( | Evas_Coord * | horizontal,
|  | Evas_Coord * | vertical
| ) |  |

Get padding between cells.

Parameters

  [out] | horizontal | The horizontal padding.
  [out] | vertical | The vertical padding.

Referenced by elm_table_padding_get().

EOAPI void elm_obj_table_padding_set | ( | Evas_Coord | horizontal,
|  | Evas_Coord | vertical
| ) |  |

Set padding between cells.

Default value is 0.

Parameters

  [in] | horizontal | The horizontal padding.
  [in] | vertical | The vertical padding.

Referenced by elm_table_padding_set().

EOAPI void elm_obj_table_unpack | ( | Evas_Object * | subobj | ) |

Remove child from table.

Parameters

  [in] | subobj | The subobject.

Referenced by elm_table_unpack().

Evas_Object* elm_table_add | ( | Evas_Object * | parent | ) |

Add a new table to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

Referenced by elm_combobox_add().

void elm_table_align_get | ( | const Elm_Table * | obj,
|  | double * | horizontal,
|  | double * | vertical
| ) |  |

Get alignment of table.

Parameters

  [out] | horizontal | The horizontal alignment.
  [out] | vertical | The vertical alignment.

Since
  1.13

References elm_obj_table_align_get().

void elm_table_align_set | ( | Elm_Table * | obj,
|  | double | horizontal,
|  | double | vertical
| ) |  |

Set alignment of table.

Default value is 0.5.

Parameters

  [in] | horizontal | The horizontal alignment.
  [in] | vertical | The vertical alignment.

Since
  1.13

References elm_obj_table_align_set().

Evas_Object* elm_table_child_get | ( | const Elm_Table * | obj,
|  | int | col,
|  | int | row
| ) |  |

Get child object of table at given coordinates.

Parameters

  [in] | row | Row number of child object.

Returns
  Child of object if find if not return `null`.

References elm_obj_table_child_get().

void elm_table_clear | ( | Elm_Table * | obj,
|  | Eina_Bool | clear
| ) |  |

Faster way to remove all child objects from a table object.

Parameters

  [in] | clear | If true, will delete children, else just remove from table.

References elm_obj_table_clear().

Eina_Bool elm_table_homogeneous_get | ( | const Elm_Table * | obj | ) |

Control the homogenous state in a table.

Returns
  A boolean to set if the layout is homogeneous in the table.

References elm_obj_table_homogeneous_get().

void elm_table_homogeneous_set | ( | Elm_Table * | obj,
|  | Eina_Bool | homogeneous
| ) |  |

Control the homogenous state in a table.

Parameters

  [in] | homogeneous | A boolean to set if the layout is homogeneous in the table.

References elm_obj_table_homogeneous_set().

void elm_table_pack | ( | Elm_Table * | obj,
|  | Evas_Object * | subobj,
|  | int | column,
|  | int | row,
|  | int | colspan,
|  | int | rowspan
| ) |  |

Add a subobject on the table with the coordinates passed.

Note
  All positioning inside the table is relative to rows and columns, so a value of 0 for x and y, means the top left cell of the table, and a value of 1 for w and h means `subobj` only takes that 1 cell.
  Columns and rows only guarantee 16bit unsigned values at best. That means that col + colspan AND row + rowspan must fit inside 16bit unsigned values cleanly. You will be warned once values exceed 15bit storage, and attempting to use values not able to fit in 16bits will result in failure.

Parameters

  [in] | column | Column number.
  [in] | row | Row number.
  [in] | colspan |
  [in] | rowspan |

References elm_obj_table_pack().

Referenced by elm_combobox_add().

void elm_table_pack_get | ( | Evas_Object * | subobj,
|  | int * | col,
|  | int * | row,
|  | int * | colspan,
|  | int * | rowspan
| ) |  |

Get the packing location of an existing child of the table.

Parameters

  subobj | The subobject to be modified in the table
  col | Column number
  row | Row number
  colspan | colspan
  rowspan | rowspan

See also
  elm_table_pack_set()

References elm_obj_table_pack_get().

void elm_table_pack_set | ( | Evas_Object * | subobj,
|  | int | col,
|  | int | row,
|  | int | colspan,
|  | int | rowspan
| ) |  |

Set the packing location of an existing child of the table.

Parameters

  subobj | The subobject to be modified in the table
  col | Column number
  row | Row number
  colspan | colspan
  rowspan | rowspan

Modifies the position of an object already in the table.

Note
  All positioning inside the table is relative to rows and columns, so a value of 0 for col and row, means the top left cell of the table, and a value of 1 for colspan and rowspan means `subobj` only takes that 1 cell.

References elm_obj_table_pack_set().

void elm_table_padding_get | ( | const Elm_Table * | obj,
|  | Evas_Coord * | horizontal,
|  | Evas_Coord * | vertical
| ) |  |

Get padding between cells.

Parameters

  [out] | horizontal | The horizontal padding.
  [out] | vertical | The vertical padding.

References elm_obj_table_padding_get().

void elm_table_padding_set | ( | Elm_Table * | obj,
|  | Evas_Coord | horizontal,
|  | Evas_Coord | vertical
| ) |  |

Set padding between cells.

Default value is 0.

Parameters

  [in] | horizontal | The horizontal padding.
  [in] | vertical | The vertical padding.

References elm_obj_table_padding_set().

void elm_table_unpack | ( | Elm_Table * | obj,
|  | Evas_Object * | subobj
| ) |  |

Remove child from table.

Parameters

  [in] | subobj | The subobject.

References elm_obj_table_unpack().